-- phpMyAdmin SQL Dump
-- version 4.0.10
-- http://www.phpmyadmin.net
--
-- Хост: 127.0.0.1:3306
-- Время создания: Авг 10 2014 г., 17:13
-- Версия сервера: 5.5.37-log
-- Версия PHP: 5.3.28

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `Sample`
--

-- --------------------------------------------------------

--
-- Структура таблицы `accounts`
--

CREATE TABLE IF NOT EXISTS `accounts` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Login` varchar(50) DEFAULT NULL,
  `Password` varchar(32) DEFAULT NULL,
  `E-Mail` varchar(255) DEFAULT NULL,
  `Type` enum('student','teacher') NOT NULL,
  `ActivationCode` varchar(40) DEFAULT NULL,
  `isEnabled` tinyint(1) NOT NULL DEFAULT '1',
  `UserAgent` text,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `E-Mail` (`E-Mail`),
  UNIQUE KEY `Login` (`Login`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

--
-- Дамп данных таблицы `accounts`
--

INSERT INTO `accounts` (`ID`, `Login`, `Password`, `E-Mail`, `Type`, `ActivationCode`, `isEnabled`, `UserAgent`) VALUES
(1, 'AndrewRudenets', 'ab64ce3749e163dbd78e186110979052', 'andrey.rudenets@gmail.com', 'student', NULL, 1, NULL),
(2, 'Silence', '011c945f30ce2cbafc452f39840f0256', 'asml.Silence@gmail.com', 'student', NULL, 1, NULL),
(3, 'pimka', '5f079981221ce504832142e9526b623b', 'lockie@ro.ru', 'student', NULL, 1, NULL),
(4, NULL, NULL, NULL, 'student', 'code4', 1, NULL),
(5, 'Abbadon', 'ff6cfea689c242780b084583790e39f5', 'Abbadon@mail.ru', 'teacher', 'Code5', 1, NULL),
(6, NULL, NULL, NULL, 'teacher', 'code6', 1, NULL),
(7, NULL, NULL, NULL, 'teacher', 'code7', 1, NULL),
(8, NULL, NULL, NULL, 'teacher', 'code8', 1, NULL),
(9, NULL, NULL, NULL, 'student', 'rgsrg', 1, NULL),
(10, NULL, NULL, NULL, 'student', 'rgsrg', 1, NULL),
(11, NULL, NULL, NULL, 'student', 'srgsh', 1, NULL);

-- --------------------------------------------------------

--
-- Структура таблицы `attending_groups`
--

CREATE TABLE IF NOT EXISTS `attending_groups` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) DEFAULT NULL,
  `SemesterID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `SemesterID` (`SemesterID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `attending_groups`
--

INSERT INTO `attending_groups` (`ID`, `Name`, `SemesterID`) VALUES
(1, 'Full', 2),
(2, 'Plus', 2),
(3, 'Minus', 2);

-- --------------------------------------------------------

--
-- Структура таблицы `attending_groups_bases`
--

CREATE TABLE IF NOT EXISTS `attending_groups_bases` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `AttendingGroupID` int(11) NOT NULL,
  `StudyGroupID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `StudyGroupID` (`StudyGroupID`),
  KEY `AttendingGroupID` (`AttendingGroupID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `attending_groups_bases`
--

INSERT INTO `attending_groups_bases` (`ID`, `AttendingGroupID`, `StudyGroupID`) VALUES
(1, 1, 1),
(2, 2, 2),
(3, 3, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `attending_groups_pool`
--

CREATE TABLE IF NOT EXISTS `attending_groups_pool` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `AttendingGroupID` int(11) NOT NULL,
  `StudentID` int(11) NOT NULL,
  `Type` enum('attach','detach') NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `AttendingGroupID` (`AttendingGroupID`),
  KEY `StudentID` (`StudentID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `attending_groups_pool`
--

INSERT INTO `attending_groups_pool` (`ID`, `AttendingGroupID`, `StudentID`, `Type`) VALUES
(1, 2, 3, 'attach'),
(2, 3, 3, 'detach');

-- --------------------------------------------------------

--
-- Структура таблицы `classrooms`
--

CREATE TABLE IF NOT EXISTS `classrooms` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) NOT NULL,
  `Capacity` int(11) DEFAULT NULL,
  `FacultyID` int(11) NOT NULL,
  `Export` enum('true','false') NOT NULL DEFAULT 'false',
  PRIMARY KEY (`ID`),
  KEY `FacultyID` (`FacultyID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `classrooms`
--

INSERT INTO `classrooms` (`ID`, `Name`, `Capacity`, `FacultyID`, `Export`) VALUES
(1, '202', NULL, 1, 'false'),
(2, '102', NULL, 1, 'false');

-- --------------------------------------------------------

--
-- Структура таблицы `classroom_sets`
--

CREATE TABLE IF NOT EXISTS `classroom_sets` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `classroom_sets`
--

INSERT INTO `classroom_sets` (`ID`, `Name`) VALUES
(1, '202'),
(2, '102');

-- --------------------------------------------------------

--
-- Структура таблицы `classroom_sets_pool`
--

CREATE TABLE IF NOT EXISTS `classroom_sets_pool` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `ClassroomSetID` int(11) NOT NULL,
  `ClassroomID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `ClassroomID` (`ClassroomID`),
  KEY `ClassroomSetID` (`ClassroomSetID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `classroom_sets_pool`
--

INSERT INTO `classroom_sets_pool` (`ID`, `ClassroomSetID`, `ClassroomID`) VALUES
(1, 1, 1),
(2, 2, 2);

-- --------------------------------------------------------

--
-- Структура таблицы `disciplines`
--

CREATE TABLE IF NOT EXISTS `disciplines` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Grade` int(11) NOT NULL,
  `SubjectID` int(11) NOT NULL,
  `AuthorID` int(11) NOT NULL,
  `ExamType` enum('exam','credit') NOT NULL,
  `SemesterID` int(11) NOT NULL,
  `PracticeCount` int(11) NOT NULL DEFAULT '0',
  `LectionCount` int(11) NOT NULL DEFAULT '0',
  `Type` enum('general','special','choosen') NOT NULL DEFAULT 'general',
  PRIMARY KEY (`ID`),
  KEY `SubjectID` (`SubjectID`),
  KEY `TeacherID` (`AuthorID`),
  KEY `SemesterID` (`SemesterID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `disciplines`
--

INSERT INTO `disciplines` (`ID`, `Grade`, `SubjectID`, `AuthorID`, `ExamType`, `SemesterID`, `PracticeCount`, `LectionCount`, `Type`) VALUES
(1, 1, 1, 3, 'exam', 2, 0, 0, 'general'),
(2, 1, 2, 3, 'credit', 2, 0, 0, 'general'),
(3, 2, 3, 5, 'exam', 2, 0, 0, 'general'),
(4, 1, 4, 3, 'exam', 2, 0, 0, 'general');

-- --------------------------------------------------------

--
-- Структура таблицы `disciplines_teachers`
--

CREATE TABLE IF NOT EXISTS `disciplines_teachers` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `DisciplineID` int(11) NOT NULL,
  `TeacherID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `DisciplineID` (`DisciplineID`),
  KEY `AccountID` (`TeacherID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `disciplines_teachers`
--

INSERT INTO `disciplines_teachers` (`ID`, `DisciplineID`, `TeacherID`) VALUES
(1, 1, 3),
(2, 1, 4),
(3, 2, 3),
(4, 3, 5);

-- --------------------------------------------------------

--
-- Структура таблицы `faculties`
--

CREATE TABLE IF NOT EXISTS `faculties` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(100) NOT NULL,
  `Abbr` varchar(20) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `faculties`
--

INSERT INTO `faculties` (`ID`, `Name`, `Abbr`) VALUES
(1, 'Математика Механика и КН', 'МехМат'),
(2, 'Юридический факультет', 'ЮрФак');

-- --------------------------------------------------------

--
-- Структура таблицы `general_settings`
--

CREATE TABLE IF NOT EXISTS `general_settings` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Val` int(11) DEFAULT NULL,
  `ValS` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `general_settings`
--

INSERT INTO `general_settings` (`ID`, `Val`, `ValS`) VALUES
(1, 2, NULL),
(2, NULL, NULL);

-- --------------------------------------------------------

--
-- Структура таблицы `lessons`
--

CREATE TABLE IF NOT EXISTS `lessons` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `AttendingGroupID` int(11) NOT NULL,
  `DisciplineTeacherID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `DisciplineID` (`DisciplineTeacherID`),
  KEY `AttendingGroupID` (`AttendingGroupID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `lessons`
--

INSERT INTO `lessons` (`ID`, `AttendingGroupID`, `DisciplineTeacherID`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 1, 3),
(4, 2, 4);

-- --------------------------------------------------------

--
-- Структура таблицы `logs`
--

CREATE TABLE IF NOT EXISTS `logs` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `RatingTableID` int(11) NOT NULL,
  `AccountID` int(11) NOT NULL,
  `OldValue` int(11) NOT NULL,
  `NewValue` int(11) NOT NULL,
  `Date` datetime NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `RatingTableID` (`RatingTableID`),
  KEY `AccountID` (`AccountID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `logs`
--

INSERT INTO `logs` (`ID`, `RatingTableID`, `AccountID`, `OldValue`, `NewValue`, `Date`) VALUES
(1, 3, 5, 6, 7, '2014-07-27 14:25:08'),
(2, 3, 5, 7, 8, '2014-07-27 20:58:49');

-- --------------------------------------------------------

--
-- Структура таблицы `modules`
--

CREATE TABLE IF NOT EXISTS `modules` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) NOT NULL,
  `OrderNum` int(11) NOT NULL,
  `DisciplineID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `OrderNum` (`OrderNum`,`DisciplineID`),
  KEY `DisciplineID` (`DisciplineID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;

--
-- Дамп данных таблицы `modules`
--

INSERT INTO `modules` (`ID`, `Name`, `OrderNum`, `DisciplineID`) VALUES
(3, 'Модуль11', 1, 1),
(4, 'Модуль2', 2, 1),
(5, 'Модуль1', 1, 2),
(6, 'Модуль1', 1, 3),
(7, 'Модуль1', 1, 4),
(8, 'NewModule', 666, 1),
(13, 'ывк', 5, 1),
(14, 'sdhr', 13, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `rating_table`
--

CREATE TABLE IF NOT EXISTS `rating_table` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `StudentID` int(11) NOT NULL,
  `TeacherID` int(11) NOT NULL,
  `SubmoduleID` int(11) NOT NULL,
  `Rate` int(11) NOT NULL,
  `Date` date NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `StudentID` (`StudentID`),
  KEY `SubmoduleID` (`SubmoduleID`),
  KEY `TeacherID` (`TeacherID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `rating_table`
--

INSERT INTO `rating_table` (`ID`, `StudentID`, `TeacherID`, `SubmoduleID`, `Rate`, `Date`) VALUES
(1, 3, 3, 5, 4, '2014-07-02'),
(3, 3, 3, 6, 8, '2014-07-27'),
(4, 3, 3, 7, 4, '2014-07-27');

-- --------------------------------------------------------

--
-- Структура таблицы `requests`
--

CREATE TABLE IF NOT EXISTS `requests` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `AccountID` int(11) DEFAULT NULL,
  `Information` text NOT NULL,
  `Date` date NOT NULL,
  `Status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `AccountID` (`AccountID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `schedule`
--

CREATE TABLE IF NOT EXISTS `schedule` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `LessonID` int(11) NOT NULL,
  `Day` int(11) NOT NULL,
  `LessonTimeID` int(11) NOT NULL,
  `ClassroomSetID` int(11) NOT NULL,
  `SubgroupCount` int(11) NOT NULL,
  `SubgroupNum` int(11) NOT NULL,
  `WeekSplit` enum('full','up','down') NOT NULL DEFAULT 'full',
  `LesType` int(11) NOT NULL,
  `Notice` varchar(30) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `LessonID` (`LessonID`),
  KEY `ClassroomSetID` (`ClassroomSetID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `semesters`
--

CREATE TABLE IF NOT EXISTS `semesters` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Year` int(11) NOT NULL,
  `Num` int(11) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `semesters`
--

INSERT INTO `semesters` (`ID`, `Year`, `Num`) VALUES
(2, 2014, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `specializations`
--

CREATE TABLE IF NOT EXISTS `specializations` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) NOT NULL,
  `Abbr` varchar(20) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `specializations`
--

INSERT INTO `specializations` (`ID`, `Name`, `Abbr`) VALUES
(1, 'Прикладная математика и информатика', 'ПМиИ'),
(2, 'Информационные технологии', 'ИТ');

-- --------------------------------------------------------

--
-- Структура таблицы `students`
--

CREATE TABLE IF NOT EXISTS `students` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `StudyGroupID` int(11) NOT NULL,
  `AccountID` int(11) NOT NULL,
  `LastName` varchar(30) NOT NULL,
  `FirstName` varchar(30) NOT NULL,
  `SecondName` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `StudyGroupID` (`StudyGroupID`),
  KEY `AccountID` (`AccountID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Дамп данных таблицы `students`
--

INSERT INTO `students` (`ID`, `StudyGroupID`, `AccountID`, `LastName`, `FirstName`, `SecondName`) VALUES
(3, 1, 1, 'Student1', 'StudentFirst1', 'StudentLast1'),
(4, 1, 2, 'Student2', 'StudentFirst3', NULL),
(5, 2, 3, 'Student3', 'StudentFirst3', 'StudentLast3'),
(6, 2, 4, 'Student4', 'StudentFirst4', NULL),
(7, 1, 9, 'seg', 'aeg', 'seg'),
(9, 3, 11, 'af', 'dt', 'fnd');

-- --------------------------------------------------------

--
-- Структура таблицы `study_groups`
--

CREATE TABLE IF NOT EXISTS `study_groups` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Grade` int(11) NOT NULL,
  `GroupNum` int(11) NOT NULL,
  `SpecializationID` int(11) NOT NULL,
  `FacultyID` int(11) NOT NULL,
  `Name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `SpecializtionID` (`SpecializationID`),
  KEY `FacultyID` (`FacultyID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `study_groups`
--

INSERT INTO `study_groups` (`ID`, `Grade`, `GroupNum`, `SpecializationID`, `FacultyID`, `Name`) VALUES
(1, 1, 2, 1, 1, 'SomeGroupName'),
(2, 2, 7, 2, 1, NULL),
(3, 5, 5, 1, 1, 'New');

-- --------------------------------------------------------

--
-- Структура таблицы `subjects`
--

CREATE TABLE IF NOT EXISTS `subjects` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) NOT NULL,
  `Abbr` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `subjects`
--

INSERT INTO `subjects` (`ID`, `Name`, `Abbr`) VALUES
(1, 'Математический анализ', 'Матан'),
(2, 'Дифференциальные уравнения', 'Дифф. ур-я'),
(3, 'Операционные системы', 'ОС'),
(4, 'Топология', NULL);

-- --------------------------------------------------------

--
-- Структура таблицы `submodules`
--

CREATE TABLE IF NOT EXISTS `submodules` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `ModuleID` int(11) NOT NULL,
  `MaxRate` int(11) NOT NULL,
  `OrderNum` int(11) NOT NULL,
  `Name` varchar(50) NOT NULL,
  `Description` varchar(200) DEFAULT NULL,
  `Type` enum('CurrentControl','LandmarkControl') NOT NULL DEFAULT 'CurrentControl',
  PRIMARY KEY (`ID`),
  UNIQUE KEY `ModuleID_2` (`ModuleID`,`OrderNum`),
  KEY `ModuleID` (`ModuleID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

--
-- Дамп данных таблицы `submodules`
--

INSERT INTO `submodules` (`ID`, `ModuleID`, `MaxRate`, `OrderNum`, `Name`, `Description`, `Type`) VALUES
(5, 3, 12, 2, 'кр1', NULL, 'CurrentControl'),
(6, 3, 20, 1, 'Кол.', '', 'CurrentControl'),
(7, 4, 20, 1, 'дз', '', 'CurrentControl'),
(9, 6, 20, 1, 'дз', '', 'CurrentControl'),
(10, 6, 10, 2, 'ко', '', 'CurrentControl'),
(11, 7, 20, 1, 'Кол', '', 'CurrentControl'),
(12, 7, 15, 2, 'Экз', '', 'CurrentControl');

-- --------------------------------------------------------

--
-- Структура таблицы `teachers`
--

CREATE TABLE IF NOT EXISTS `teachers` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `LastName` varchar(30) NOT NULL,
  `FirstName` varchar(30) NOT NULL,
  `SecondName` varchar(30) DEFAULT NULL,
  `Degree` varchar(50) DEFAULT NULL,
  `FacultyID` int(11) NOT NULL,
  `AccountID` int(11) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `FacultyID` (`FacultyID`),
  KEY `AccountID` (`AccountID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Дамп данных таблицы `teachers`
--

INSERT INTO `teachers` (`ID`, `LastName`, `FirstName`, `SecondName`, `Degree`, `FacultyID`, `AccountID`) VALUES
(3, 'Teacher1', 'TeacherFirst1', NULL, NULL, 1, 5),
(4, 'Teacher2', 'TeacherFirst2', 'TeacherSecond2', NULL, 1, 6),
(5, ' Teacher3', 'TeacherFirst3', 'TeacherSecond3', NULL, 2, 7),
(6, 'Teacher4', 'TeacherFirst4', NULL, NULL, 1, 8);

--
-- Ограничения внешнего ключа сохраненных таблиц
--

--
-- Ограничения внешнего ключа таблицы `attending_groups`
--
ALTER TABLE `attending_groups`
  ADD CONSTRAINT `attending_groups_ibfk_1` FOREIGN KEY (`SemesterID`) REFERENCES `semesters` (`ID`);

--
-- Ограничения внешнего ключа таблицы `attending_groups_bases`
--
ALTER TABLE `attending_groups_bases`
  ADD CONSTRAINT `attending_groups_bases_ibfk_1` FOREIGN KEY (`AttendingGroupID`) REFERENCES `attending_groups` (`ID`),
  ADD CONSTRAINT `attending_groups_bases_ibfk_2` FOREIGN KEY (`StudyGroupID`) REFERENCES `study_groups` (`ID`);

--
-- Ограничения внешнего ключа таблицы `attending_groups_pool`
--
ALTER TABLE `attending_groups_pool`
  ADD CONSTRAINT `attending_groups_pool_ibfk_1` FOREIGN KEY (`AttendingGroupID`) REFERENCES `attending_groups` (`ID`),
  ADD CONSTRAINT `attending_groups_pool_ibfk_2` FOREIGN KEY (`StudentID`) REFERENCES `students` (`ID`);

--
-- Ограничения внешнего ключа таблицы `classrooms`
--
ALTER TABLE `classrooms`
  ADD CONSTRAINT `classrooms_ibfk_1` FOREIGN KEY (`FacultyID`) REFERENCES `faculties` (`ID`);

--
-- Ограничения внешнего ключа таблицы `classroom_sets_pool`
--
ALTER TABLE `classroom_sets_pool`
  ADD CONSTRAINT `classroom_sets_pool_ibfk_1` FOREIGN KEY (`ClassroomID`) REFERENCES `classrooms` (`ID`),
  ADD CONSTRAINT `classroom_sets_pool_ibfk_2` FOREIGN KEY (`ClassroomSetID`) REFERENCES `classroom_sets` (`ID`);

--
-- Ограничения внешнего ключа таблицы `disciplines`
--
ALTER TABLE `disciplines`
  ADD CONSTRAINT `disciplines_ibfk_2` FOREIGN KEY (`SubjectID`) REFERENCES `subjects` (`ID`),
  ADD CONSTRAINT `disciplines_ibfk_4` FOREIGN KEY (`SemesterID`) REFERENCES `semesters` (`ID`),
  ADD CONSTRAINT `disciplines_ibfk_5` FOREIGN KEY (`AuthorID`) REFERENCES `teachers` (`ID`);

--
-- Ограничения внешнего ключа таблицы `disciplines_teachers`
--
ALTER TABLE `disciplines_teachers`
  ADD CONSTRAINT `disciplines_teachers_ibfk_1` FOREIGN KEY (`DisciplineID`) REFERENCES `disciplines` (`ID`),
  ADD CONSTRAINT `disciplines_teachers_ibfk_2` FOREIGN KEY (`TeacherID`) REFERENCES `teachers` (`ID`);

--
-- Ограничения внешнего ключа таблицы `lessons`
--
ALTER TABLE `lessons`
  ADD CONSTRAINT `lessons_ibfk_6` FOREIGN KEY (`AttendingGroupID`) REFERENCES `attending_groups` (`ID`),
  ADD CONSTRAINT `lessons_ibfk_7` FOREIGN KEY (`DisciplineTeacherID`) REFERENCES `disciplines_teachers` (`ID`);

--
-- Ограничения внешнего ключа таблицы `logs`
--
ALTER TABLE `logs`
  ADD CONSTRAINT `logs_ibfk_1` FOREIGN KEY (`RatingTableID`) REFERENCES `rating_table` (`ID`),
  ADD CONSTRAINT `logs_ibfk_2` FOREIGN KEY (`AccountID`) REFERENCES `accounts` (`ID`);

--
-- Ограничения внешнего ключа таблицы `modules`
--
ALTER TABLE `modules`
  ADD CONSTRAINT `modules_ibfk_2` FOREIGN KEY (`DisciplineID`) REFERENCES `disciplines` (`ID`);

--
-- Ограничения внешнего ключа таблицы `rating_table`
--
ALTER TABLE `rating_table`
  ADD CONSTRAINT `rating_table_ibfk_1` FOREIGN KEY (`StudentID`) REFERENCES `students` (`ID`),
  ADD CONSTRAINT `rating_table_ibfk_3` FOREIGN KEY (`SubmoduleID`) REFERENCES `submodules` (`ID`),
  ADD CONSTRAINT `rating_table_ibfk_4` FOREIGN KEY (`TeacherID`) REFERENCES `teachers` (`ID`);

--
-- Ограничения внешнего ключа таблицы `requests`
--
ALTER TABLE `requests`
  ADD CONSTRAINT `requests_ibfk_1` FOREIGN KEY (`AccountID`) REFERENCES `accounts` (`ID`) ON DELETE SET NULL ON UPDATE SET NULL;

--
-- Ограничения внешнего ключа таблицы `schedule`
--
ALTER TABLE `schedule`
  ADD CONSTRAINT `schedule_ibfk_1` FOREIGN KEY (`LessonID`) REFERENCES `lessons` (`ID`),
  ADD CONSTRAINT `schedule_ibfk_2` FOREIGN KEY (`ClassroomSetID`) REFERENCES `classroom_sets` (`ID`);

--
-- Ограничения внешнего ключа таблицы `students`
--
ALTER TABLE `students`
  ADD CONSTRAINT `students_ibfk_1` FOREIGN KEY (`StudyGroupID`) REFERENCES `study_groups` (`ID`),
  ADD CONSTRAINT `students_ibfk_2` FOREIGN KEY (`AccountID`) REFERENCES `accounts` (`ID`);

--
-- Ограничения внешнего ключа таблицы `study_groups`
--
ALTER TABLE `study_groups`
  ADD CONSTRAINT `study_groups_ibfk_2` FOREIGN KEY (`FacultyID`) REFERENCES `faculties` (`ID`),
  ADD CONSTRAINT `study_groups_ibfk_4` FOREIGN KEY (`SpecializationID`) REFERENCES `specializations` (`ID`);

--
-- Ограничения внешнего ключа таблицы `submodules`
--
ALTER TABLE `submodules`
  ADD CONSTRAINT `submodules_ibfk_1` FOREIGN KEY (`ModuleID`) REFERENCES `modules` (`ID`);

--
-- Ограничения внешнего ключа таблицы `teachers`
--
ALTER TABLE `teachers`
  ADD CONSTRAINT `teachers_ibfk_1` FOREIGN KEY (`FacultyID`) REFERENCES `faculties` (`ID`),
  ADD CONSTRAINT `teachers_ibfk_2` FOREIGN KEY (`AccountID`) REFERENCES `accounts` (`ID`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
